Vulnerabilities (CVE)

Vendor filter

Dotcms Subscribe

Filter

33 total CVE
CVE Vendors Products Updated CVSS
CVE-2017-5877 1 Dotcms 1 Dotcms 2019-03-15 4.3
XSS was discovered in dotCMS 3.7.0, with an unauthenticated attack against the /about-us/locations/index direction parameter.
CVE-2017-5876 1 Dotcms 1 Dotcms 2019-03-15 4.3
XSS was discovered in dotCMS 3.7.0, with an unauthenticated attack against the /news-events/events date parameter.
CVE-2017-5875 1 Dotcms 1 Dotcms 2019-03-15 3.5
XSS was discovered in dotCMS 3.7.0, with an authenticated attack against the /myAccount addressID parameter.
CVE-2017-6003 1 Dotcms 1 Dotcms 2019-03-12 4.3
dotCMS 3.7.0 has XSS reachable from ext/languages_manager/edit_language in portal/layout via the bottom two form fields.
CVE-2018-17422 1 Dotcms 1 Dotcms 2019-03-08 5.8
dotCMS before 5.0.2 has open redirects via the html/common/forward_js.jsp FORWARD_URL parameter or the html/portlet/ext/common/page_preview_popup.jsp hostname parameter.
CVE-2018-19554 1 Dotcms 1 Dotcms 2019-03-06 3.5
An issue was discovered in Dotcms through 5.0.3. Attackers may perform XSS attacks via the inode, identifier, or fieldName parameter in html/js/dotcms/dijit/image/image_tool.jsp.
CVE-2018-16980 1 Dotcms 1 Dotcms 2018-11-02 4.3
dotCMS V5.0.1 has XSS in the /html/portlet/ext/contentlet/image_tools/index.jsp fieldName and inode parameters.
CVE-2017-3188 1 Dotcms 1 Dotcms 2018-09-25 4.0
The dotCMS administration panel, versions 3.7.1 and earlier, "Push Publishing" feature in Enterprise Pro is vulnerable to path traversal. When "Bundle" tar.gz archives uploaded to the Push Publishing feature are decompressed, the filenames of its...
CVE-2017-3189 1 Dotcms 1 Dotcms 2018-09-25 9.3
The dotCMS administration panel, versions 3.7.1 and earlier, "Push Publishing" feature in Enterprise Pro is vulnerable to arbitrary file upload. When "Bundle" tar.gz archives uploaded to the Push Publishing feature are decompressed, there are no...
CVE-2017-3187 1 Dotcms 1 Dotcms 2018-09-24 6.8
The dotCMS administration panel, versions 3.7.1 and earlier, are vulnerable to cross-site request forgery. The dotCMS administrator panel contains a cross-site request forgery (CSRF) vulnerability. An attacker can perform actions with the same...
CVE-2016-10007 1 Dotcms 1 Dotcms 2018-03-05 6.5
SQL injection vulnerability in the "Marketing > Forms" screen in dotCMS before 3.7.2 and 4.x before 4.1.1 allows remote authenticated administrators to execute arbitrary SQL commands via the _EXT_FORM_HANDLER_orderBy parameter.
CVE-2016-10008 1 Dotcms 1 Dotcms 2018-03-05 6.5
SQL injection vulnerability in the "Content Types > Content Types" screen in dotCMS before 3.7.2 and 4.x before 4.1.1 allows remote authenticated administrators to execute arbitrary SQL commands via the _EXT_STRUCTURE_direction parameter.
CVE-2017-15219 1 Dotcms 1 Dotcms 2017-10-25 3.5
The dotCMS 4.1.1 application is vulnerable to Stored Cross-Site Scripting (XSS) affecting a vanity-urls Title field, a containers Description field, and a templates Description field.
CVE-2008-3708 1 Dotcms 1 Dotcms 2017-09-29 4.3
Multiple directory traversal vulnerabilities in dotCMS 1.6.0.9 allow remote attackers to read arbitrary files via a .. (dot dot) in the id parameter to (1) news/index.dot and (2) getting_started/macros/macros_detail.dot.
CVE-2017-5344 1 Dotcms 1 Dotcms 2017-09-01 7.5
An issue was discovered in dotCMS through 3.6.1. The findChildrenByFilter() function which is called by the web accessible path /categoriesServlet performs string interpolation and direct SQL query execution. SQL quote escaping and a keyword...
CVE-2008-2397 1 Dotcms 1 Dotcms 2017-08-08 4.3
Cross-site scripting (XSS) vulnerability in search-results.dot in dotCMS 1.x allows remote attackers to inject arbitrary web script or HTML via the search_query parameter. NOTE: the provenance of this information is unknown; the details are...
CVE-2017-11466 1 Dotcms 1 Dotcms 2017-07-25 9.0
Arbitrary file upload vulnerability in com/dotmarketing/servlets/AjaxFileUploadServlet.class in dotCMS 4.1.1 allows remote authenticated administrators to upload .jsp files to arbitrary locations via directory traversal sequences in the fieldName...
CVE-2016-2355 1 Dotcms 1 Dotcms 2016-12-23 7.5
SQL injection vulnerability in the REST API in dotCMS before 3.3.2 allows remote attackers to execute arbitrary SQL commands via the stName parameter to api/content/save/1.
CVE-2016-3971 1 Dotcms 1 Dotcms 2016-12-16 3.5
Cross-site scripting (XSS) vulnerability in lucene_search.jsp in dotCMS before 3.5.1 allows remote attackers to inject arbitrary web script or HTML via the query parameter to c/portal/layout.
CVE-2016-8906 1 Dotcms 1 Dotcms 2016-11-29 6.5
SQL injection vulnerability in the "Site Browser > Links pages" screen in dotCMS before 3.3.1 allows remote authenticated attackers to execute arbitrary SQL commands via the orderby parameter.